#!/usr/bin/python
import os
import os.path
import sys
import time
import neo_cgi

neo_cgi.cgiWrap(sys.stdin, sys.stdout, os.environ)

ncgi = neo_cgi.CGI() 
ncgi.parse()

ncgi.hdf.readFile("welcome.hdf")
bookmarksNode = ncgi.hdf.getObj("Page")
modified = os.path.getmtime("welcome.hdf")
timeStruct = time.gmtime(modified)
bookmarksNode.setValue("LastModified", time.asctime(timeStruct))

ncgi.display("welcome.cst") 